apiVersion: maistra.io/v2
kind: ServiceMeshControlPlane
metadata:
  finalizers:
  - maistra.io/istio-operator
  name: basic
  namespace: istio-system
spec:
  addons:
    grafana:
      enabled: false
    jaeger:
      install:
        ingress:
          enabled: true
        storage:
          type: Elasticsearch
    kiali:
      enabled: true
  gateways:
    egress:
      runtime:
        deployment:
          autoScaling:
            enabled: true
            maxReplicas: 1
            minReplicas: 1
      service: {}
    ingress:
      runtime:
        deployment:
          autoScaling:
            enabled: true
            maxReplicas: 1
            minReplicas: 1
      service: {}
    openshiftRoute:
      enabled: false
  policy:
    type: Istiod
  profiles:
  - default
  proxy:
    networking:
      trafficControl:
        inbound: {}
        outbound:
          excludedIPRanges:
          - 172.31.0.1/32
          - 127.0.0.0/8
    runtime:
      container:
        resources:
          limits:
            cpu: 200m
            memory: 300Mi
          requests:
            cpu: 50m
            memory: 150Mi
  runtime:
    components:
      collector:
        deployment:
          autoScaling:
            enabled: false
      mixer.policy:
        deployment:
          autoScaling:
            enabled: false
      mixer.telemetry:
        deployment:
          autoScaling:
            enabled: false
      pilot:
        deployment:
          autoScaling:
            enabled: false
      tracing.jaeger.elasticsearch:
        container:
          resources:
            limits:
              memory: 3Gi
            requests:
              cpu: 250m
              memory: 1Gi
  security:
    manageNetworkPolicy: false
    dataPlane:
      mtls: true
  techPreview:
    meshConfig:
      defaultConfig:
        proxyMetadata:
          ISTIO_META_DNS_CAPTURE: "false"
    sidecarInjectorWebhook:
      injectPodRedirectAnnot: true
  telemetry:
    type: Istiod
  tracing:
    sampling: 10000
    type: Jaeger
  version: v2.4
